/**
Theme Name: JRS - Campaña Voto Juventud Europea
Theme URI: https://socialco.es/
Author: SocialCo
Author URI: https://socialco.es/
Description: Based on Astra, made with love by SocialCo. 
Version: 1
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Template: astra
Text Domain: astra-socialco
Domain Path: /languages


Histórico de cambios
---------------
2019/03/15 - Inicio del desarrollo.


----------8<-----------------------
A partir de aquí, las personalizaciones

 */



 html {
 	scroll-behavior: smooth;
 }

#primary {
  margin:0;
}

/* Bloque de apertura */


.statement_container {
	display:block;
	
	width:800px;
	margin:15px auto 0;
	background-image:url('assets/img/highlight_white.png');
  background-position: center center;
	background-size:cover;
	background-repeat: no-repeat;
}


.statement {	
  display:block;
  overflow: hidden;
  white-space: nowrap;
  margin: 0 auto;
  animation: 
    typing 2s steps(11) infinite,
    blink-caret 500ms steps(11) infinite;
}

@keyframes typing {
  from, to { width: 0 }
  0%, 100% { width: 100% }
}

@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: #2c5495 }
}



.video-home {
  margin:-190px auto 0;
	background-image:url('assets/img/video_frame_top.png'),url('assets/img/video_frame_izq.png'),url('assets/img/video_frame_dcha.png'),url('assets/img/video_frame_inf.png');
  background-position: left top, left top, right top, left bottom ;
	background-size:contain;
	background-repeat: no-repeat;
	padding:17px 16px 13px 14px;
}

.video-home .elementor-widget-container {
	overflow: visible !important;;
}

.elementor-custom-embed-play {
	right:-100px !important;
	left:auto !important;
	bottom:-100px;
	top:auto !important;
	background-image:url('assets/img/video_play.png') !important;
	background-size: contain !important;
	background-repeat: no-repeat;
	background-position: center center;
}

.elementor-custom-embed-play i {
	visibility:hidden !important;
}


/* Estilos generales */

#primary h1,
#primary h2,
#primary h3,
#primary h4 {
  color:black;
}


#primary h1 {
	font-weight: 300;
}


#primary h2 strong,
#primary h3 strong,
#primary h4 strong { 
  display:inline-block;
  background-image:url('assets/img/highlight.png');
	background-position: center center;
	background-repeat: no-repeat;
	font-weight: 300;
  padding:0 0px;
	background-size: inherit;
}

	#primary h2 strong:after,
	#primary h2 strong:before {
		content:". ";
		color:transparent;
		width:15px;
		display: inline-block;
		position: absolute;
		padding:7px 10px 10px;
		background-image: url('assets/img/highlight.png');
    background-repeat: no-repeat;
	}
	
	#primary h2 strong:before {
		background-position: center left;
		margin:-7px 0 0px -20px;
	}
	#primary h2 strong:after {
		background-position: center right;
		margin:-10px 0 0px 0px;
	}



#primary h1 em { 
  display:inline-block;
  background-image:url('assets/img/highlight_white.png');
	background-position: center center;
	background-repeat: no-repeat;
	background-size:contain;
	font-weight: 300;
	font-style:normal;
	padding:5px 18px;
  
}


/* Hero */

.hero p {
	color:black;
	font-size: 26px;
	font-weight: 300;
	line-height: 1.35;
}



/* FEATURED */

.feature,
.feature img,
.feature .elementor-column-wrap{
	
	padding-top:0 !important;;
}


.feature h3 {
	font-weight: normal;
	display:inline-block;
  background-image:url('assets/img/underline.png');
	background-position: bottom left;
	background-repeat: no-repeat;
	padding-bottom: 12px;
	clear:both;
	
}

.feature p {
	max-width: 18em;
	line-height: 1.3em;
	font-size:28px;
	font-weight: 100;
	color:black;
	margin:0 0 15px 0;
	display: block;
	width:100%;
	clear: both;
	
}

a[role="button"] {
	font-weight: bold;
	font-size:18px;
	display:inline-block;
}

a[role="button"] i {
	font-size:12px;
  padding:0 10px 0 5px;
	transition: ease-in all 0.5;
}

a[role="button"]:hover i {
  padding:0 5px 0 10px;
}



.feature-right {
	text-align: right;
}

.feature-right h3 {
	background-position: bottom right;
	float:right;
}

.feature-right p {float:right;}


/* Navigation */

.navegacion {
	margin-top:45px;
}

.navegacion a {
	display:block;
	background-repeat: no-repeat;
	line-height: 1em;
	font-size:0.9em;
}

.navegacion .next:after,
.navegacion .prev:after {
	display:block;
	font-weight: 300;
	font-size:0.8em;
}


.navegacion .home {
	display:block;
	font-size:0;
  background-image:url('assets/img/icon_home.png');
	background-position: center center;
	background-repeat: no-repeat;
	height:40px;
}

.navegacion .prev {
	padding-left:32px;
  background-image:url('assets/img/icon_prev.png');
	background-position: center left;

}

.navegacion .prev:after {
	content:"previous";
}


.navegacion .prev {
	padding-left:32px;
}

.navegacion .next {
	padding-right:32px;
  background-image:url('assets/img/icon_next.png');
	background-position: right center;
	text-align: right;

}

.navegacion .next:after {
	content:"next";
}




/* Get involved */




/* Footer */

.ast-footer-overlay p{
	margin:0;
}

.ast-footer-overlay a:hover{
	color:#e1c525;
}



.ast-footer-overlay i {
	color:#2d5496;
	font-size:24px;
	margin-right:10px;
	margin-top:20px;
	font-size:0;
}

.ast-footer-overlay i:before {font-size:22px;}



.ast-footer-widget-1-area aside:nth-child(1) {
	width:50%;
	float:left;
}

.ast-footer-widget-1-area aside:nth-child(1) .desc {
	text-align: left;
	font-size:0.9em;
	line-height: 1.2em;
}



.ast-footer-widget-1-area aside:nth-child(2) {
	width:50%;
	float:right;
}

.ast-footer-widget-1-area aside:nth-child(3) {
	display:block;
	padding-top:30px;
	clear:both;
	
}

.ast-footer-widget-1-area aside:nth-child(3) p {
	text-align:center !important;;
	font-size:0.9em;
	color:rgba(0,0,0,0.5);
}

.ast-footer-widget-1-area aside:nth-child(3) a {
	color:rgba(0,0,0,0.5);
}
.ast-footer-widget-1-area aside:nth-child(3) a:hover {
	color:#e1c525}


footer #text-2 i {
	margin-left: 15px;
}

footer #text-3 img {
	float:right;
	
}

footer a:hover i {
	color:#e1c525 !important;
}


/* Cajas de descarga */

.elementor-tab-title a:before {
	content:" ";
	background-image:url('assets/img/icon_pdf.png');
	background-position: left center;
	background-repeat: no-repeat;
	text-align: right;
	display: inline-block;
	height:93px;
	width:110px;
	vertical-align: middle;
}

.elementor-tab-title a {
	font-weight: bold;
	color:black !important;
	font-size:26px;
	display:inline-block;
  background-image:url('assets/img/underline.png');
	background-position: 110px 65px;
	background-repeat: no-repeat;
	clear:both;
	
	
}


.sharer {
	text-align: center;
}


.sharer a.btn {
  display: inline-block;
		text-transform: uppercase;
		background: #2d5496;
		color:white;
		padding:10px 30px;
		border-radius:50px;
		text-align: center;
		
}

	.sharer a.btn:hover {
		color: #2d5496;
		background: white;
		cursor: pointer;
	}


.sharer-box {
	 text-align: left;
   background:white;
	 padding:20px;
	 border-radius:2px;
	 max-width: 310px;
	 margin:0 auto;
	 display: none;
}

.sharer-box a {           
   text-decoration:none;
		text-transform: uppercase;
		font-size:15px;
}
.sharer-box i {font-size:20px; vertical-align: baseline; margin-right:5px;}

.sharer ul {margin:0 !important;}
.sharer li {
		margin:0 0 5px;
		list-style: none;
  }


.sharer a.twitter:hover {color :#00aced}
.sharer a.facebook:hover {color:#3a5998}
.sharer a.whatsapp:hover {color:#25D366}


.sharer-box h3 {
	font-size: 21px;
	text-align: center;
	
}


.socialfeed {
	margin-top:-20px;
}    

.socialfeed:before {
	display: block;
	content: " ";
	position:absolute;
	height: 30px;
	width:100%;
	background:white;
}


.data_point p {
	line-height: 1.35em;
	color:black;
	font-weight: 300;
	font-size:1.15em;
}


/* Política de cookies */
body #div_faldon {
    background:white;
    height: 350px !important;
    max-width:300px;
    position: fixed;
    top:10px!important;
    left:calc(50% - 150px) !important;
    text-align: center;
    color:#595959;
    padding:30px 30px;
    border-radius:20px;
    box-sizing:border-box;
    opacity: 1!important;
    box-shadow: 0px 0px 200px black;
}
#faldonTexto {
        font-size:17px !important;
        line-height:1.45em;
        margin-bottom: 20px !important;
        float: none !important;
        padding: 0 !important;
        width: 100% !important;
}
#faldonTexto a {
        font-size:17px !important;
        }
   
body #div_faldon #faldonAction {
        float: none;
        padding: 0%;
        width: 100%;
        text-align: center;
        padding-top:20px;}

#faldonAction .noacepto {display: none !important}

body #div_faldon #faldonAction a { 
	border:2px solid #2d5496 !important;
	border-radius:20px;
	font-size:18px;
	padding:15px 10px;
	background:#2d5496;
	color:white;
	text-shadow: none;
	line-height: 1em;
	display:inline-block;
	display: inline;
}


/* Media querys */

@media screen and (max-width: 992px) {
	 
	#primary {
		padding:0;
	}	
	
	.home .attachment-full {
		max-width: 60%;
	}
	
	.video-home {
		padding:6px 6px 5px 6px;
		margin-top: -80px
	}
	
	.elementor-custom-embed-play {
	height: 80px;
	width:80px;
	right: calc(50% - 80px)!important;
	bottom:calc(50% - 80px)!important;	;
	}
	
	
	.statement_container {
		max-width:100%;
	}
	
	.home h2 {
		font-size:32px
	}
	
	
	
	.feature img {
		max-width:60% !important;
		;
	}
	
	
	.feature h3 {
		font-size:24px;
		text-align: center !important;
		display:block;
		background-position: bottom center;
	}
	
	.feature p {
		font-size:22px;
		text-align:center;
		
	}
	
	.feature-right h3,
	.feature-right p
	{
		float:unset;
		background-position: bottom center;
		text-align: center;
		display: block;
	}
	
	.home section.get_involved {
		margin-top:60px;
	}
	
	section.get_involved img {
		max-width: 60%;
		margin:0 0 10px;
	}
	
	section.get_involved p {
		font-size:24px;
		line-height:1.3em;
	}
	
	.data_point img {
		max-width: 40% !important;;
	}
	
	.data_point p {
		font-size:21px;
		line-height:1.3em;
		font-weight: 300;
		color:black;
	}
	
	
	.navegacion .elementor-column,
	.navegacion .elementor-column-wrap {
		width:auto;
	}
	
	.elementor-tab-title a::before {
		width:64px;
		height: 64px;
		background-size: contain;
		margin-right:10px;
	}
	
	.elementor-tab-title a { font-size:20px;}
	
	
	
	footer #text-3 img {	
		float:none;		
		display: inline-block;
		max-width:45%;
		margin:50px 0;
	}
	
	body.home h1.elementor-heading-title {
		display: block;
		height:145px;
		overflow: hidden;
	}
	
	.statement {	
     white-space: initial;
	   font-size:27px;
		 line-height:30px;
		 padding:0 10px;
	
	}
	
	.statement_container {
		background-image: url('assets/img/highlight_white_twolines.png');
		background-position: center -3px;
		background-size: cover;
		max-width:310px;
	}

	.hero p {
		text-align: center;
	}

	#primary h1 em { 
   		background-size:initial;
		padding:7px 5px 10px;
	}

	
	#primary h2 strong:after,
	#primary h2 strong:before {
		
		padding:0px 10px 0px;
	}
	
	#primary h2 strong:before {
		margin:0px 0 0px -20px;
	}
	#primary h2 strong:after {
		margin:0px 0 0px 0px;
	}

}
